<div class="title flex relative justify-center items-center">
    <div class=" flex justify-center">
        <b class="font-bold">Thêm địa chỉ</b>
    </div>
    <mat-icon class="absolute top-3 right-3" (click)="_dialogRef.close()">close</mat-icon>
</div>
<div class="w-100 my-3 d-flex justify-content-center">
    <form
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit(formGroup.value)"
        class="d-flex justify-content-center w-100"
    >
        <div class="w-100 d-flex flex-column align-items-center">
            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Người nhận*</mat-label>
                    <input
                        matInput
                        placeholder="Người nhận"
                        formControlName="receiver"
                    />
                </mat-form-field>
            </div>
            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Đường*</mat-label>
                    <input
                        matInput
                        placeholder="Đường"
                        formControlName="street"
                    />
                </mat-form-field>
            </div>
            
            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Tỉnh/Thành phố</mat-label>
                    <!-- <input
                        matInput
                        placeholder="Tỉnh/Thành phố"
                        formControlName="city"
                    /> -->
                    <mat-select formControlName="province" required>
                        <mat-option
                            *ngFor="
                                let item of (provinces$ | async)?.edges;
                                index as index
                            "
                            [value]="item.node.id"
                            (onSelectionChange)="changeProvince($event, item)"
                        >
                            {{ item.node.nameProvince }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Quận/Huyện</mat-label>
                    <!-- <input
                        matInput
                        placeholder="Quận/Huyện"
                        formControlName="district"
                    /> -->
                    <mat-select formControlName="district" required>
                        <mat-option
                            *ngFor="
                                let item of (districts$ | async)?.edges;
                                index as index
                            "
                            [value]="item.node.id"
                            (onSelectionChange)="changeDistrict($event, item)"
                        >
                            {{ item.node.nameDistrict }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Phường/Xã</mat-label>
                    <!-- <input
                        matInput
                        placeholder="Quận/Huyện"
                        formControlName="district"
                    /> -->
                    <mat-select formControlName="ward" required>
                        <mat-option
                            *ngFor="
                                let item of (wards$ | async)?.edges;
                                index as index
                            "
                            [value]="item.node.id"
                        >
                            {{ item.node.nameWard }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="w-100 px-3 my-1">
                <mat-form-field>
                    <mat-label>Số điện thoại*</mat-label>
                    <input
                        matInput
                        placeholder="Số điện thoại"
                        formControlName="phone"
                    />
                    <mat-error
                        *ngIf="
                            formGroup.hasError('minlength', 'phone') &&
                            !formGroup.hasError('pattern', 'phone')
                        "
                    >
                    Số điện thoại có ít nhất 10 số
                    </mat-error>
                    <mat-error
                        *ngIf="
                            formGroup.hasError('maxlength', 'phone') &&
                            !formGroup.hasError('pattern', 'phone')
                        "
                    >
                        Số điện thoại có tối đa 15 số
                    </mat-error>
                    <mat-error *ngIf="formGroup.hasError('pattern', 'phone')">
                        Số điện thoại phải là số
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="flex justify-center ">
                <button mat-button type="submit" class="w-1/4">
                    Thêm
                </button>
            </div>

        </div>
    </form>
</div>
